e107help.org Q&A
0 like 0 dislike
Hi,

 

I'm trying to upgrade a 1.04 site to latest and followed the 1.xx to 2 patch and now in admin area a row is show that an update is required click Update

it does somenthing and the returns to the same place and promts to update again and again (tryed 100 times :P)

 

the update is succesfull and shows "execute 706_to_800" every time

 

what could be the cause?

thx!
e107 version 2.0 beta 1
closed
in Core by (30 points) 4 4
edited by

7 Answers

1 like 0 dislike
Best answer
A lot of issues related to this one too, are added (incorporated 24/25-08) to the files on Github.Best use the files from Github.
by (2.9k points) 4 7 9
selected by
AsTgtje suggested, please re-try the update using the latest files from Github: https://github.com/e107inc/e107 (click the 'Download ZIP' button on the right).

If you still experience problems, please post them up as issues on Github.
0 like 0 dislike
This is the console output

 

 jquery.min.js:2:0
POST
e107_admin/e107_update.php [HTTP/1.1 200 OK 668ms]
GET
e107_web/js/bootstrap3-editable/css/bootstrap-editable.css [HTTP/1.1 200 OK 8ms]
GET
e107_web/js/bootstrap-select/bootstrap-select.min.css [HTTP/1.1 200 OK 5ms]
GET
e107_web/js/bootstrap-multiselect/css/bootstrap-multiselect.css [HTTP/1.1 304 Not Modified 11ms]
GET
e107_web/js/bootstrap-datetimepicker/css/datetimepicker.css [HTTP/1.1 200 OK 7ms]
GET
e107_web/js/core/admin.jquery.css [HTTP/1.1 200 OK 3ms]
GET
e107_web/js/core/all.jquery.css [HTTP/1.1 200 OK 9ms]
GET
e107_themes/bootstrap3/css/bootstrap-dark.min.css [HTTP/1.1 200 OK 13ms]
GET
e107_themes/bootstrap3/admin_style.css [HTTP/1.1 200 OK 6ms]
GET
e107_themes/bootstrap3/admin_dark.css [HTTP/1.1 200 OK 2ms]
GET
e107_web/js/e_jslib.php [HTTP/1.1 200 OK 26ms]
GET
e107_web/js/bootstrap-select/bootstrap-select.min.js [HTTP/1.1 200 OK 2ms]
GET
e107_web/js/bootstrap-multiselect/js/bootstrap-multiselect.js [HTTP/1.1 200 OK 2ms]
GET
e107_web/js/bootstrap-jasny/js/jasny-bootstrap.js [HTTP/1.1 200 OK 4ms]
GET
e107_web/js/bootstrap-datetimepicker/js/bootstrap-datetimepicker.min.js [HTTP/1.1 200 OK 4ms]
GET
e107_web/js/jquery.h5validate.min.js [HTTP/1.1 200 OK 2ms]
GET
e107_web/js/jquery.elastic.js [HTTP/1.1 200 OK 2ms]
GET
e107_web/js/jquery.at.caret.min.js [HTTP/1.1 200 OK 1ms]
GET
e107_web/js/password/jquery.pwdMeter.js [HTTP/1.1 200 OK 2ms]
GET
e107_web/js/bootstrap-tag/bootstrap-tag.js [HTTP/1.1 200 OK 2ms]
GET
e107_web/js/bootstrap3-editable/js/bootstrap-editable.min.js [HTTP/1.1 200 OK 11ms]
GET
e107_web/js/core/admin.jquery.js [HTTP/1.1 200 OK 3ms]
GET
e107_web/js/core/all.jquery.js [HTTP/1.1 200 OK 4ms]
TypeError: a.fn.popover is undefined bootstrap-editable.min.js:6:13121
TypeError: $(...).editable is not a function
by (30 points) 4 4
1 like 0 dislike
Guessing what exactly does it:

probably related to a used plugin (not core) check if there is (pluginmanager) (NOT the update button itself now) an extra icon (right side) that seems to either update or needs extra install (instead of 2 icons 3 are shown). Execute from there.

Then try to apply the main update button.

If this does not show results use https://github.com/e107inc/e107 (right bottom zip pack), unpack and delete install php and overwrite the present files. The betapack from org is a little dated and much more updates and issues where worked out in the zip pack.

As always !! BACKUP first.
by (2.9k points) 4 7 9
0 like 0 dislike
I have update to lastes git by cloning the repo

 

of forums need an update checking....

 

thx!
by (30 points) 4 4
0 like 0 dislike

I was able to get past the error by then going to the the plugins page and starting the Forum Upgrade. Ofcourse, now I have hit an error on the Forum upgrade, but I was able to go back to the main upgrade and it finished and then automatically kicked back to the Forum upgrade.

Now, I need to figure out what this one means:

Creation of extended field(s) failed. You can not continue until these are create successfully!

by (5 points)
Welcome to e107 Q&A, where you can ask questions and receive answers from other members of the e107 community.
842 questions
1,239 answers
2,152 comments
5,546 users